Bug 609039 - KDE systemsettings becomes non responding
KDE systemsettings becomes non responding
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kdebase (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Ngo Than
Desktop QE
:
Depends On:
Blocks: 599016
  Show dependency treegraph
 
Reported: 2010-06-29 05:26 EDT by Michal Haško
Modified: 2015-03-01 22:59 EST (History)
5 users (show)

See Also:
Fixed In Version: kdebase-4.3.4-5.el6
Doc Type: Bug Fix
Doc Text:
Prior to this update, the System Settings application in KDE became unresponsive when entering a password in order to apply changes in the About Me dialog. With this update, the bug has been fixed so that entering a password works properly.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-08-24 06:57:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:1200 normal SHIPPED_LIVE kdebase bug fix update 2011-08-24 06:57:00 EDT

  None (edit)
Description Michal Haško 2010-06-29 05:26:45 EDT
Description of problem:
Changing user information in Applications -> Settings -> System Settings ->
-> About Me makes the application stop responding

Version-Release number of selected component (if applicable):
kdebase-workspace-4.3.4-19.el6.x86_64

How reproducible:
100%

Steps to Reproduce:
1. open System Settings
2. click About Me
3. change some user information such as name, organization or email
4. click apply, you will be prompted for password
5. input any string (doesn't need to be the actual pw) to the password dialog
  
Actual results:
application becomes non responsive

Expected results:
applying the changes should fail/pass depending on the password check

Additional info:
if the password dialog is canceled, the apply button should be enabled again
Comment 1 RHEL Product and Program Management 2010-06-29 05:43:07 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 3 Ngo Than 2010-09-30 09:20:05 EDT
i can reproduce this issue on my machine too.
Comment 4 Ngo Than 2010-09-30 10:08:48 EDT
Michal, could you please try the new 	kdebase-4.3.4-4.2 package from http://karlsruhe.str.redhat.com/rhel6/	 ? This issue should be fixed in this new package

thanks
Comment 5 Michal Haško 2010-10-01 04:04:57 EDT
The kdebase-4.3.4-4.2 version fixes the issue with non-responsiveness,
but if the password dialog is canceled, the apply button is still disabled (which shouldn't be).

Please fill the "Fixed In Version" field and flip the bug to MODIFIED next time you need verification so proper workflow is ensured.
Comment 6 Ngo Than 2010-11-10 09:43:41 EST
> The kdebase-4.3.4-4.2 version fixes the issue with non-responsiveness,
> but if the password dialog is canceled, the apply button is still disabled
> (which shouldn't be).
> 

that the apply button is still disabled, is another bug and we need a separate bugzilla report for this. Could you please fill a new bug? thanks

The no-responsiveness issue is also fixed in this package.
Comment 8 Suzanne Yeghiayan 2011-02-15 16:39:32 EST
This issue was proposed for RHEL 6.1 FasTrack but did not get resolved in time.
It has been moved to RHEL 6.2 FasTrack.
Comment 10 Suzanne Yeghiayan 2011-02-15 17:03:07 EST
This issue was proposed for RHEL 6.1 FasTrack but did not get resolved in time.
It has been moved to RHEL 6.2 FasTrack.
Comment 15 Petr Kovar 2011-07-27 06:41:43 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Prior to this update, the System Settings application in KDE became unresponsive when entering a password in order to apply changes in the About Me dialog. With this update, the bug has been fixed so that entering a password works properly.
Comment 17 errata-xmlrpc 2011-08-24 06:57:20 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-1200.html

Note You need to log in before you can comment on or make changes to this bug.